Subject: bug#3582: 23.0.94; Please autoload command text-scale-mode

From: "Drew Adams" <[email-masked]>
Date: Mon, 15 Jun 2009 14:33:25 -0700

> > You cannot do `M-x text-scale-mode' in virgin session.
>  
> I can't think of any reason why you'd want to do that, so I 
> presume you
> bumped into this problem while doing something slightly different.
> Could you explain what you were trying to do, so we can put a better
> comment explaining the reason for the autoload cookie?

No special reason. Just testing some other code. Wanted to check the mode var
(used by that code), which was undefined, so I tried to turn on the mode
(without changing text-scale-mode-amount).

Yes, I could have done that in other ways, but why not let someone turn on the
mode using `M-x'? No, it's not a _need_ - users will typically use
`text-scale-adjust' or `text-scale-(in|de)crease' to turn on/off the mode.

It's OK with me if you decide not to do this. (I don't have a feeling for the
cost of an extra autoload.)